public class Calculator {

	public int fibonacci(int n) throws IllegalFiboArgumentException {
		int valueMinus2 = 0, valueMinus1 = 1, value = valueMinus1;
		if (n < 0)
			throw new IllegalFiboArgumentException("Illegal value!");
		if (n == 0)
			value = 0; // fib(0)=0
		else if (n == 1)
			value = 1; // fib(1)=1
		else {
			int i = 2;
			for(i=2;i<n;i++) {
				valueMinus2 = valueMinus1;
				valueMinus1 = value;
				value = valueMinus2 + valueMinus1;
			}
		}
		return value;
	}
	
	public int abs(int n) {
		return Math.abs(n);
	}
	
}
